{officeId}

API: weather.gov:national-weather-service-api
Endpoint: /offices/{officeId}
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 286ms

Description

Returns metadata about a NWS forecast office

Parameters (1)

officeId (?, path, required)

NWS office ID

Examples (3)

Get New York City office metadata curl
curl 'https://api.weather.gov/offices/OKX'
import requests

resp = requests.get("https://api.weather.gov/offices/OKX")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/OKX");
const data = await resp.json();
Get Seattle office metadata curl
curl 'https://api.weather.gov/offices/SEW'
import requests

resp = requests.get("https://api.weather.gov/offices/SEW")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/SEW");
const data = await resp.json();
Get Denver/Boulder office metadata curl
curl 'https://api.weather.gov/offices/BOU'
import requests

resp = requests.get("https://api.weather.gov/offices/BOU")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("offices/{officeId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/offices/BOU");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:17:52.372525 200 286ms
2026-04-04 03:51:01.989103 200 273ms
2026-04-04 03:02:26.010580 200 219ms
2026-04-03 14:38:51.981868 200 223ms
2026-04-03 13:03:33.879404 200 425ms
2026-04-03 12:18:21.683647 200 290ms
2026-03-30 07:38:10.577980 200 238ms
2026-03-30 07:33:38.545122 200 226ms
2026-03-30 07:08:07.652882 200 233ms
2026-03-29 15:19:43.465106 200 8757ms
2026-03-29 14:43:31.760566 200 270ms
2026-03-29 14:15:35.716009 200 292ms
2026-03-23 11:09:24.770376 200 181ms
2026-03-23 10:36:31.991428 200 187ms
2026-03-22 21:37:24.282229 200 432ms